Clear the file uploaded for the image
This will clear the file uploaded for the image and transition the image to the READY state. This will also delete the previously uploaded file from S3 storage.
This action is only available if the image is not associated with any nodes.
Required scope: air:image_write (roles: air_image_publisher, air_image_uploader)
Authentication
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
Response
The name of the image. This must be unique with the version.
The version of the image. This must be unique with the name.
Whether the image is published to all users (public) vs restricted to an allow-list. Always false for unpublished images.
The id of the image publish access record. Returned only to the owning organization, Air admins, and SREs; null otherwise.
The upload status of the image file.
READY- ReadyUPLOADING- UploadingVALIDATING- ValidatingCOMPLETE- CompletePUBLISHING- PublishingUNPUBLISHING- UnpublishingCOPYING_FROM_IMAGE_SHARE- Copying from image sharePENDING_PUBLISH- Pending PublishPENDING_UNPUBLISH- Pending Unpublish
If the image is owned by the client. When true, the client can share/publish/unpublish the image.
The CPU architecture of the image.
x86- x86ARM- ARM
The provider of the image.
VM- VMCONTAINER- CONTAINER